node-request-promise 4.2.4-3 source package in Ubuntu

Changelog

node-request-promise (4.2.4-3) unstable; urgency=medium

  * Team upload
  * Patch upstream test to call mocha directly
  * Switch install to pkg-js-tools and enable upstream test
  * Add debian/nodejs/build to avoid future failure with pkg-js-tools auto
    build
  * Move node-request in dependencies (Closes: #931714)
  * Drop unneeded version constraints from (build) dependencies

 -- Xavier Guimard <email address hidden>  Wed, 07 Aug 2019 11:28:57 +0200

Upload details

Uploaded by:
Debian Javascript Maintainers on 2019-08-07
Uploaded to:
Sid
Original maintainer:
Debian Javascript Maintainers
Architectures:
all
Section:
misc
Urgency:
Medium Urgency

See full publishing history Publishing

Series Pocket Published Component Section
Eoan release on 2019-08-07 universe misc

Builds

Eoan: [FULLYBUILT] amd64

Downloads

File Size SHA-256 Checksum
node-request-promise_4.2.4-3.dsc 2.5 KiB fbc954167e6a1a651f58fc6a8b4be23fa5a61139073617c97091b4222f2aa0be
node-request-promise_4.2.4.orig.tar.gz 16.8 KiB 95ab31f7f5dc4d22c2c246f1c1fccda092091fdfae05cf5e4e557087b691c077
node-request-promise_4.2.4-3.debian.tar.xz 2.9 KiB 52350ae57de151e1a22d1f8cf6f6d9cb25f42cbaeaa6e356c4dab1d8f6c209cc

Available diffs

No changes file available.

Binary packages built by this source

node-request-promise: simplified HTTP request client with Promise support

 The simplified HTTP request client 'request' with Promise support. Powered
 by Bluebird.
 .
 Request-Promise adds a Bluebird-powered ".then" method to Request call
 objects. By default, http response codes other than 2xx will cause the
 promise to be rejected. This can be overwritten by setting
 options.simple = false.
 .
 Node.js is an event-based server-side JavaScript engine.